Page MenuHomePhabricator

Adjust namespace icons in the AdvancedSearch dropdown to the standard usage
Closed, ResolvedPublic3 Story Points

Description

Motivation
Namespaces have an icon for better discoverability. Right now, the icons are not always appropriate

Acceptance Criteria

  • The following namespaces have the icons as linked, RTL or LTR as appropriate

main space
user
project namespace
file
mediawiki
template
help
category
portal
module
gadget

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 10 2018, 12:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript


Additionally, please consider using another icon than "文A" for "MediaWiki" namespace, as not all MediaWiki:Foo... pages are intended to be i18n related

Change 434751 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/AdvancedSearch@master] Replace talk namespace icon with appropriate 'speechBubble'

https://gerrit.wikimedia.org/r/434751

Change 434751 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Replace talk namespace icon with appropriate 'speechBubble'

https://gerrit.wikimedia.org/r/434751

@Lea_WMDE I've looked through the big wikis and picked the namespaces that have occurences in multiple wikis. The rest of the namespaces get a fallback icon .

main space
user
project namespace
file
mediawiki
template
help
category
portal
module
gadget
fallback icon for when no icon is specified for the namespace

Notes: LTR ones need to be RTL when appropriate

Lea_WMDE triaged this task as Normal priority.Jun 11 2018, 8:20 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.Jun 11 2018, 10:05 AM
Lea_WMDE moved this task from Tickets ready for pickup to In FUN sprint on the Advanced-Search board.
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:07 PM

Change 440527 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] Change icons for namespaces

https://gerrit.wikimedia.org/r/440527

Change 440527 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Change icons for namespaces

https://gerrit.wikimedia.org/r/440527

Vvjjkkii renamed this task from Adjust namespace icons in the AdvancedSearch dropdown to the standard usage to n7caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from n7caaaaaaa to Adjust namespace icons in the AdvancedSearch dropdown to the standard usage.Jul 2 2018, 3:57 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:53 AM